AOZ Studio Beta - Bug #305

Compiler not compiling
03/15/2020 11:54 AM - Truls Osmundsen

Status: Closed Start date: 03/15/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.8

Affected version: 0.9.6.4

Description

Version 0.9.6.4 setup 2 is still not compiling my game (that compiles perfect inside 0.9.6.3).
When removing "Line Input #2,A$" from the code it compiles inside 0.9.6.4.

So, back to 0.9.6.3 it is for me.

Here is the compilers error in 0.9.6.4:

main.aoz:1:1: Compiler error: crash during compilation:

pass: 0

info is not defined

referenceerror: info is not defined

at information.extractnextword (c:\snapshot\compiler\compiler.js:0:0)

at gettag (c:\snapshot\compiler\compiler.js:0:0)

at zeropass (c:\snapshot\compiler\compiler.js:0:0)

at object.module.exports.compile (c:\snapshot\compiler\compiler.js:0:0)
at compile (c:\snapshot\compilen\aoz.js:0:0)

at aoz (c:\snapshot\compiler\aoz.js:0:0)

at object. (c:\snapshot\compiler\aoz.js:0:0)

at module._compile (pkg/prelude/bootstrap.js:1261:22)

at object.module._extensions..js (internal/modules/cjs/loader.js:787:10)
at module.load (internal/modules/cjs/loader.js:651:32)

Internal error
Task failed, no code generated...

Terminal will be reused by tasks, press any key to close it.

History

#1 - 03/15/2020 12:37 PM - Truls Osmundsen

Can be tested with:
Open In 2,"Test.txt"
Line Input #2,A$
Close 2

This will make the error above.
Commenting out the "Line Input" will make the error go away.

#2 - 04/16/2020 04:46 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.8

Just checked, it works in 0.9.8.

#3 - 09/03/2020 07:42 PM - Brian Flanagan

- Status changed from Resolved to Closed

Re-tested in 0.9.9.4 RC1. Still works!
